Delete a route in a service on a gateway group
DELETE /apisix/admin/routes/{route_id}
DELETE /apisix/admin/routes/{route_id}Interactive request editor loads with JavaScript.
In: header
Path Parameters
The unique identifier of the published route.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Query Parameters
Gateway group ID. Optional when using the gateway group admin key to authenticate.
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X DELETE "$API_BASE_URL/apisix/admin/routes/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335"Operation completed successfully with no response body.
""Unauthorized — Authentication is required. Provide a valid API key via the X-API-KEY header or use Basic Auth credentials.
{
"value": {},
"error_msg": "error message"
}Not Found — The requested resource does not exist or has been deleted.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /apisix/admin/routes/{route_id}
Delete a route in a service on a gateway group
Delete a route from a service through an APISIX Admin API compatible endpoint under /apisix/admin/. Requests that matched this rule will no longer be routed by it.
Required IAM Permission: Action gateway:UpdatePublishedService, Resource arn:api7:gateway:gatewaygroup/%s/service/%s
Parameters
route_id(path, string, required): The unique identifier of the published route.gateway_group_id(query, string, required): Gateway group ID. Optional when using the gateway group admin key to authenticate.
Responses
200: Operation completed successfully with no response body.401: Unauthorized — Authentication is required. Provide a valid API key via the X-API-KEY header or use Basic Auth credentials.value(object, optional): The specific resource.error_msg(string, optional): The error message.404: Not Found — The requested resource does not exist or has been deleted. Response fields (application/json): identical toDELETE /apisix/admin/routes/{route_id}, response 401 above.
cURL
curl -X DELETE '$API_BASE_URL/apisix/admin/routes/{route_id}'